%////////////////////////////////////////////////////////
% Fichier des parametres du CHARIOT DE GOLF
%////////////////////////////////////////////////////////

% Paramtre de fonctionnement
P=4;                % Priode de l'intermitence en secondes
P_cyclique=50;      % Rapport cyclique de l'intermittence en %

% Paramtre du modle :
M_sac=20;           % Masse des clubs et du sac (kg)
M_chariot=9.7;      % Masse du chariot (kg)
g=9.81;              % Acclration de la pesanteur (m/s)
D_roue=0.25;        % Rayon de la roue (m)
f=0.1              % Coefficient de frottement niveau moteur (kg.m.s-)
K=0.0255;           % Constante de vitesse et couple de la machine (V/rad/s)
L=0.05;             % Inductance (H)
R=0.3;                % Rsistance de l'induit (Ohms)
E=12;               % Tension d'alimentation (V)
Nb_filet_menant=2;  % Nombre de filet
Nb_dent_menee=50;   % Nombre de dent du pignon
Coef_roul=0.008;    % Coefficient de frotement de roulement (m)

% Calculs pas utilis dans le modle simulink
R_roue=D_roue/2;
M=M_sac+M_chariot;                          % Masse total transporte
r=Nb_filet_menant/Nb_dent_menee;            % Rapport de rduction
J=M*power(D_roue/2,2)*power(r,2);           % Inertie des masses ramene au moteur
T=M*g*Coef_roul*(1/R_roue);                 % Force de tirage

